Bug 479500 - kbd drops /bin/loadkeys which is used
kbd drops /bin/loadkeys which is used
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
: 479551 479571 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2009-01-09 23:10 EST by Michal Jaegermann
Modified: 2009-01-13 20:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-12 06:59:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
tentaive spec fix (640 bytes, patch)
2009-01-10 04:20 EST, Yanko Kaneti
no flags Details | Diff

  None (edit)
Description Michal Jaegermann 2009-01-09 23:10:09 EST
Description of problem:

With the current rawhide updates there is /bin/loadkeys.static and /usr/bin/loadkeys.  OTOH /sbin/mkinitrd expects to find specifically /bin/loadkeys and is not that happy.  Good question is what else in a distro itself and outside. Expect more of assorted breakage.

What exactly two variants of loadkeys really buys you?  If there is a static version then why not to make /bin/loadkeys a link to it and be done with it?

Version-Release number of selected component (if applicable):
Comment 1 Yanko Kaneti 2009-01-10 04:20:41 EST
Created attachment 328613 [details]
tentaive spec fix
Comment 2 Bill Nottingham 2009-01-10 09:57:04 EST
Furthermore... why do you need a static version when it's only linked against libc?
Comment 3 Jeremy Katz 2009-01-12 11:02:36 EST
*** Bug 479551 has been marked as a duplicate of this bug. ***
Comment 4 Jesse Keating 2009-01-13 20:20:20 EST
*** Bug 479571 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.